package com.yeejoin.equipmanage.common.enums;

/**
 * @ProjectName: YeeFireDataProcessRoot
 * @Package: com.yeejoin.dataprocess.common.enums
 * @ClassName: TopicName
 * @Author: Jianqiang Gao
 * @Description: TopicName
 * @Date: 2021/3/23 15:55
 * @Version: 1.0
 */
public enum AstDataSyncTopic {
    AST_BUILDING_SAVE(20, "ast_building_save"),
    AST_BUILDING_SAVE_ALL(21, "ast_building_save_all"),
    AST_BUILDING_DELETE_BY_ID(22, "ast_building_delete_by_id"),
    AST_EQUIP_SAVE(30, "ast_equip_save"),
    AST_EQUIP_SAVE_ALL(31, "ast_equip_save_all"),
    AST_EQUIP_DELETE_BY_ID(32, "ast_equip_delete_by_id");

    private final Integer key;
    private final String value;

    private AstDataSyncTopic(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

    public Integer getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return this.value;
    }
}